Get all unit types
https://api.propexo.com/v1/unit-types/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the unit type
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| propertyunits/getUnitTypes |
2048The external ID of the property from the integration vendor
| Method |
|---|
| propertyunits/getUnitTypes |
property456The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullThe name associated with the unit type
| Method |
|---|
| propertyunits/getUnitTypes |
BalconyThe number of bedrooms associated with the unit type
| Method |
|---|
| propertyunits/getUnitTypes |
Possible values: >= 0
1The number of bathrooms associated with the unit type
| Method |
|---|
| propertyunits/getUnitTypes |
1The number of full bathrooms associated with the unit type
This field will always be null for ENTRATA
nullThe number of half bathrooms associated with the unit type
This field will always be null for ENTRATA
nullThe rentable square footage of the unit type
This field will always be null for ENTRATA
nullThe gross square footage of the unit type
This field will always be null for ENTRATA
nullThe minimum rent of the unit type
| Method |
|---|
| propertyunits/getUnitTypes |
120000The maximum rent of the unit type
| Method |
|---|
| propertyunits/getUnitTypes |
140000The number of units associated with the unit type
| Method |
|---|
| propertyunits/getUnitTypes |
Possible values: >= 0
10The deposit amount in cents associated with the unit type
This field will always be null for ENTRATA
nullThe raw deposit amount associated with the unit type
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/unit-types/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "2048",
"x_property_id": "property456",
"x_location_id": null,
"name": "Balcony",
"bedrooms": 1,
"bathrooms": "1",
"bathrooms_full": null,
"bathrooms_half": null,
"rentable_square_feet": null,
"gross_square_feet": null,
"rent_minimum_in_cents": 120000,
"rent_maximum_in_cents": 140000,
"unit_count": 10,
"deposit_amount_in_cents": null,
"deposit_amount_raw": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}